MemberMXBean (Apache Geode 1.15.4)

org.apache.geode.management

## Interface MemberMXBean

-     public interface MemberMXBean

  MBean that provides access to information and management functionality for a `DistributedMember` of the GemFire distributed system.

  ObjectName of the MBean :GemFire:type=Member,member=<name-or-dist-member-id>

  There will be one instance of this MBean per GemFire node.

  List of notification emitted by MemberMXBean.

  Notification Type | Notification Source | Message
  --- | --- | ---
  gemfire.distributedsystem.cache.region.created | Member name or ID | Region Created with Name <Region Name>
  gemfire.distributedsystem.cache.region.closed | Member name or ID | Region Destroyed/Closed with Name <Region Name>
  gemfire.distributedsystem.cache.disk.created | Member name or ID | DiskStore Created with Name <DiskStore Name>
  gemfire.distributedsystem.cache.disk.closed | Member name or ID | DiskStore Destroyed/Closed with Name <DiskStore Name>
  gemfire.distributedsystem.cache.lockservice.created | Member name or ID | LockService Created with Name <LockService Name>
  gemfire.distributedsystem.cache.lockservice.closed | Member name or ID | Lockservice Closed with Name <LockService Name>
  gemfire.distributedsystem.gateway.sender.created | Member name or ID | GatewaySender Created in the VM
  gemfire.distributedsystem.gateway.sender.started | Member name or ID | GatewaySender Started in the VM <Sender Id>
  gemfire.distributedsystem.gateway.sender.stopped | Member name or ID | GatewaySender Stopped in the VM <Sender Id>
  gemfire.distributedsystem.gateway.sender.paused | Member name or ID | GatewaySender Paused in the VM <Sender Id>
  gemfire.distributedsystem.gateway.sender.resumed | Member name or ID | GatewaySender Resumed in the VM <Sender Id>
  gemfire.distributedsystem.async.event.queue.created | Member name or ID | Async Event Queue is Created in the VM
  gemfire.distributedsystem.gateway.receiver.created | Member name or ID | GatewayReceiver Created in the VM
  gemfire.distributedsystem.gateway.receiver.started | Member name or ID | GatewayReceiver Started in the VM
  gemfire.distributedsystem.gateway.receiver.stopped | Member name or ID | GatewayReceiver Stopped in the VM
  gemfire.distributedsystem.cache.server.started | Member name or ID | Cache Server is Started in the VM
  gemfire.distributedsystem.cache.server.stopped | Member name or ID | Cache Server is stopped in the VM
  gemfire.distributedsystem.locator.started | Member name or ID | Locator is Started in the VM

  Since:
    GemFire 7.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `compactAllDiskStores()` Performs compaction on all of the member's disk stores.
    `boolean` | `createManager()` Creates a Manager MBean on this member.
    `String[]` | `fetchJvmThreads()` Returns the current threads.
    `float` | `getAverageReads()` Returns the average number of reads per second.
    `float` | `getAverageWrites()` Returns the average writes per second, including both put and putAll operations.
    `float` | `getBytesReceivedRate()` Returns the average number of bytes per second received.
    `float` | `getBytesSentRate()` Returns the average number of bytes per second sent.
    `long` | `getCacheListenerCallsAvgLatency()` Returns the average latency of a call to a CacheListener.
    `long` | `getCacheWriterCallsAvgLatency()` Returns the average latency of a call to a CacheWriter.
    `String` | `getClassPath()` Returns the ClassPath.
    `float` | `getCpuUsage()` Returns the time (as a percentage) that this member's process time with respect to Statistics sample time interval.
    `float` | `getCreatesRate()` Returns the number of creates per second.
    `long` | `getCurrentHeapSize()` Deprecated. Please use `getUsedMemory()` instead.
    `long` | `getCurrentTime()` Returns the current time on the member's host.
    `long` | `getDeserializationAvgLatency()` Returns the average time (in nanoseconds) spent deserializing objects.
    `long` | `getDeserializationLatency()` Returns the average latency (in nanoseconds) spent deserializing objects.
    `float` | `getDeserializationRate()` Returns the instantaneous rate of deserializing objects.
    `float` | `getDestroysRate()` Returns the number of destroys per second.
    `long` | `getDiskFlushAvgLatency()` Returns the average disk flush latency time in nanoseconds.
    `float` | `getDiskReadsRate()` Returns the number of bytes reads per second from all the disks of the member.
    `String[]` | `getDiskStores()` Returns a list of all disk stores, including those owned by a Region.
    `float` | `getDiskWritesRate()` Returns the number of bytes written per second to disk to all the disks of the member.
    `long` | `getFileDescriptorLimit()` Returns the maximum number of open file descriptors allowed for the member's host operating system.
    `long` | `getFreeHeapSize()` Deprecated. Please use `getFreeMemory()` instead.
    `long` | `getFreeMemory()` Returns the free heap size in megabytes.
    `float` | `getFunctionExecutionRate()` Returns the average function execution rate.
    `long` | `getGarbageCollectionCount()` Returns the number of times garbage collection has occurred.
    `long` | `getGarbageCollectionTime()` Returns the amount of time (in milliseconds) spent on garbage collection.
    `String` | `getGeodeReleaseVersion()` returns only the Geode version string
    `long` | `getGetsAvgLatency()` Returns the cache get average latency.
    `float` | `getGetsRate()` Returns the number of gets per second.
    `String[]` | `getGroups()` Returns the names of the groups this member belongs to.
    `String` | `getHost()` Returns the name or IP address of the host on which this member is running.
    `int` | `getHostCpuUsage()` Returns the underlying host's current cpuActive percentage
    `String` | `getId()` Returns the ID of this member.
    `int` | `getInitialImageKeysReceived()` Return the number of keys received while performing a "get initial image" operation when creating a region.
    `int` | `getInitialImagesInProgres()` Deprecated. as typo in name has been corrected: use `getInitialImagesInProgress()` instead.
    `int` | `getInitialImagesInProgress()` Returns the number of "get initial image" operations in progress.
    `long` | `getInitialImageTime()` Returns the total amount of time spent performing a "get initial image" operation when creating a region.
    `long` | `getJVMPauses()` Returns the number JVM pauses (which may or may not include full garbage collection pauses) detected by GemFire.
    `double` | `getLoadAverage()` Returns the system load average for the last minute.
    `long` | `getLoadsAverageLatency()` Returns the average latency of a load.
    `long` | `getLockLease()` Returns the number of second that this member will lease a distributed lock.
    `int` | `getLockRequestQueues()` Returns the number of lock request queues in use by this member.
    `long` | `getLockTimeout()` Returns the number of seconds that this member will wait for a distributed lock.
    `int` | `getLockWaitsInProgress()` Returns the number of threads waiting for a lock.
    `float` | `getLruDestroyRate()` Returns the rate of entries destroyed either by destroy cache operations or eviction.
    `float` | `getLruEvictionRate()` Returns the entry eviction rate as triggered by the LRU policy.
    `long` | `getMaximumHeapSize()` Deprecated. Please use `getMaxMemory()` instead.
    `long` | `getMaxMemory()` Returns the maximum size of the heap in megabytes.
    `String` | `getMember()` Returns the name of the member if it's been set, otherwise the ID.
    `long` | `getMemberUpTime()` Returns the number of seconds that this member has been running.
    `String` | `getName()` Returns the name of this member.
    `long` | `getNetLoadsAverageLatency()` Returns the net load average latency.
    `long` | `getNetSearchAverageLatency()` Returns the net search average latency.
    `int` | `getNumRunningFunctions()` Returns the number of currently executing functions.
    `int` | `getNumRunningFunctionsHavingResults()` Returns the number of currently executing functions that will return results.
    `int` | `getNumThreads()` Returns the number of threads in use.
    `long` | `getOffHeapCompactionTime()` Returns the total time spent compacting in milliseconds.
    `int` | `getOffHeapFragmentation()` Returns the percentage of off-heap memory fragmentation.
    `long` | `getOffHeapFragments()`
    `long` | `getOffHeapFreedChunks()`
    `long` | `getOffHeapFreeMemory()` Returns the size of available (or unallocated) off-heap memory in bytes.
    `int` | `getOffHeapLargestFragment()`
    `long` | `getOffHeapMaxMemory()` Returns the size of the maximum configured off-heap memory in bytes.
    `int` | `getOffHeapObjects()` Returns the number of off heap objects.
    `long` | `getOffHeapUsedMemory()` Returns the size of utilized off-heap memory in bytes.
    `int` | `getPartitionRegionCount()` Returns the number of Partition Regions present in the Cache.
    `long` | `getPDXDeserializationAvgLatency()` Returns the average time, in seconds, spent deserializing PDX instanced.
    `float` | `getPDXDeserializationRate()` Returns the instantaneous rate of PDX instance deserialization.
    `int` | `getProcessId()` Returns the operating system process ID.
    `long` | `getPutAllAvgLatency()` Returns the cache putAll average latency.
    `float` | `getPutAllRate()` Returns the number of putAlls per second.
    `long` | `getPutsAvgLatency()` Returns the cache put average latency.
    `float` | `getPutsRate()` Returns the number of puts per second.
    `int` | `getRebalancesInProgress()` Returns current number of cache rebalance operations being directed by this process.
    `String` | `getRedundancyZone()` Returns the redundancy-zone of the member.
    `String` | `getReleaseVersion()` returns only the version string
    `int` | `getReplyWaitsCompleted()` Returns total number of times waits for a reply have completed.
    `int` | `getReplyWaitsInProgress()` Returns current number of threads waiting for a reply.
    `String[]` | `getRootRegionNames()` Returns a list of all root Region names.
    `long` | `getSerializationAvgLatency()` Returns the average time (in nanoseconds) spent serializing objects.
    `long` | `getSerializationLatency()` Returns the average latency (in nanoseconds) spent serializing objects.
    `float` | `getSerializationRate()` Returns the instantaneous rate of serializing objects.
    `int` | `getTotalBackupCompleted()` Returns the number of backups that have been completed.
    `int` | `getTotalBackupInProgress()` Returns the number of backups currently in progress for all disk stores.
    `int` | `getTotalBucketCount()` Returns the total number of buckets.
    `int` | `getTotalDiskTasksWaiting()` Returns the current number of disk tasks (op-log compaction, asynchronous recovery, etc.) that are waiting for a thread to run.
    `long` | `getTotalDiskUsage()` Returns the total number of bytes used on all disks.
    `long` | `getTotalFileDescriptorOpen()` Returns the current number of open file descriptors.
    `int` | `getTotalHitCount()` Returns the number of times that a hit occurred for all regions.
    `int` | `getTotalLoadsCompleted()` Returns the total number of times that a load on this cache has completed, as a result of either a local get or a remote net load.
    `long` | `getTotalLockWaitTime()` Returns the amount of time (in milliseconds) spent waiting for a lock.
    `int` | `getTotalMissCount()` Returns the number of times that a cache miss occurred for all regions.
    `int` | `getTotalNetLoadsCompleted()` Returns the total number of times that a network load initiated by this cache has completed.
    `int` | `getTotalNetSearchCompleted()` Returns the total number of times that a network search initiated by this cache has completed.
    `int` | `getTotalNumberOfGrantors()` Returns the number of locks for which this member is a granter.
    `int` | `getTotalNumberOfLockService()` Returns the number of lock services in use.
    `int` | `getTotalPrimaryBucketCount()` Returns the number of buckets for which this member is the primary holder.
    `int` | `getTotalRegionCount()` Returns the number of Regions present in the Cache.
    `int` | `getTotalRegionEntryCount()` Returns the total number of entries in all regions.
    `int` | `getTotalTransactionsCount()` Returns the number of current transactions.
    `long` | `getTransactionCommitsAvgLatency()` Returns the average commit latency in nanoseconds.
    `float` | `getTransactionCommitsRate()` Returns the average number of transactions committed per second.
    `int` | `getTransactionCommittedTotalCount()` Returns the number of committed transactions.
    `int` | `getTransactionRolledBackTotalCount()` Returns the number of transactions that were rolled back.
    `long` | `getUsedMemory()` Returns the current size of the heap in megabytes.
    `String` | `getVersion()` Returns the GemFire version, including build id, jdk version, product name and release version etc.
    `int` | `getVisibleNodes()` The current number of nodes in this distributed system visible to this member.
    `boolean` | `hasGatewayReceiver()` Returns whether this member has at least one GatewayReceiver.
    `boolean` | `hasGatewaySender()` Returns whether this member has at least one GatewaySender.
    `boolean` | `isCacheServer()` Returns true if a cache server is running on this member and able to serve requests from clients
    `boolean` | `isLocator()` Returns whether this member is attached to at least one Locator.
    `boolean` | `isManager()` Returns whether this member is running the Manager service.
    `boolean` | `isManagerCreated()` Returns whether this member has created the Manager service (it may be created, but not running).
    `boolean` | `isServer()` Any long-running GemFire process that was started with "start server" command from GFSH.
    `String[]` | `listConnectedGatewayReceivers()` Returns a list of IDs for all connected gateway receivers.
    `String[]` | `listConnectedGatewaySenders()` Returns a list of IDs for all gateway senders.
    `String[]` | `listDiskStores(boolean includeRegionOwned)` Returns the name of all disk stores in use by this member.
    `GemFireProperties` | `listGemFireProperties()` Returns the GemFire specific properties for this member.
    `String[]` | `listRegions()` Returns a list of all Region names.
    `String` | `processCommand(String commandString)` Executes a command on the member.
    `String` | `processCommand(String commandString, Map<String,String> env)` Executes a command on the member.
    `String` | `processCommand(String commandString, Map<String,String> env, Byte[][] binaryData)` Deprecated. since 1.4 use processCommand(String commandString, Map$lt;String, String$gt; env, List$lt;String$gt; stagedFilePaths) instead
    `String` | `processCommand(String commandString, Map<String,String> env, List<String> stagedFilePaths)` Executes a command on the member.
    `JVMMetrics` | `showJVMMetrics()` Returns JVM metrics.
    `String` | `showLog(int numberOfLines)` Returns the most recent log entries for the member.
    `OSMetrics` | `showOSMetrics()` Returns operating system metrics.
    `void` | `shutDownMember()` Shuts down the member.
    `String` | `status()` Returns the status.
    `String` | `viewLicense()` Deprecated. Removed licensing in 8.0.

- - ### Method Detail

    - #### showLog

          String showLog(int numberOfLines)

      Returns the most recent log entries for the member.
      Parameters:
        `numberOfLines` - Number of lines to return, up to a maximum of 100.
      Returns:
        the most recent log entries for the member

    - #### viewLicense

          @Deprecated
          String viewLicense()

      Deprecated. Removed licensing in 8.0.
      Returns the license string for this member.
      Returns:
        the license string for this member

    - #### compactAllDiskStores

          String[] compactAllDiskStores()

      Performs compaction on all of the member's disk stores.
      Returns:
        A list of names of the disk stores that were compacted.

    - #### createManager

          boolean createManager()

      Creates a Manager MBean on this member.
      Returns:
        True if the Manager MBean was successfully created, false otherwise.

    - #### shutDownMember

          void shutDownMember()

      Shuts down the member. This is an asynchronous call and it will return immediately without waiting for a result.

    - #### showJVMMetrics

          JVMMetrics showJVMMetrics()

      Returns JVM metrics.
      Returns:
        JVM metrics

    - #### showOSMetrics

          OSMetrics showOSMetrics()

      Returns operating system metrics.
      Returns:
        operating system metrics

    - #### processCommand

          String processCommand(String commandString)

      Executes a command on the member.
      Parameters:
        `commandString` - Command to be executed.
      Returns:
        Result of the execution in JSON format.

    - #### processCommand

          String processCommand(String commandString,
                                Map<String,String> env)

      Executes a command on the member.
      Parameters:
        `commandString` - Command to be execute.
        `env` - Environmental properties to use during command execution.
      Returns:
        Result of the execution in JSON format.

    - #### processCommand

          String processCommand(String commandString,
                                Map<String,String> env,
                                List<String> stagedFilePaths)

      Executes a command on the member. this is the method that's used by the HttpOperationInvoker and JmxOperationInvoker
      Parameters:
        `commandString` - Command to be execute.
        `env` - Environmental properties to use during command execution.
        `stagedFilePaths` - Local files (as relevant to the command). May be null.
      Returns:
        Result of the execution in JSON format.

    - #### processCommand

          @Deprecated
          String processCommand(String commandString,
                                            Map<String,String> env,
                                            Byte[][] binaryData)

      Deprecated. since 1.4 use processCommand(String commandString, Map$lt;String, String$gt; env, List$lt;String$gt; stagedFilePaths) instead
      Executes a command on the member. this is the method that's used by the HttpOperationInvoker and JmxOperationInvoker
      Parameters:
        `commandString` - Command to be execute.
        `env` - Environmental properties to use during command execution.
        `binaryData` - Binary data specific to the command being executed.
      Returns:
        Result of the execution in JSON format.

    - #### listDiskStores

          String[] listDiskStores(boolean includeRegionOwned)

      Returns the name of all disk stores in use by this member.
      Parameters:
        `includeRegionOwned` - Whether to include disk stores owned by a region.
      Returns:
        the name of all disk stores in use by this member

    - #### listGemFireProperties

          GemFireProperties listGemFireProperties()

      Returns the GemFire specific properties for this member.
      Returns:
        the GemFire specific properties for this member

    - #### getHost

          String getHost()

      Returns the name or IP address of the host on which this member is running.
      Returns:
        the name or IP address of the host on which this member is running

    - #### getName

          String getName()

      Returns the name of this member.
      Returns:
        the name of this member

    - #### getId

          String getId()

      Returns the ID of this member.
      Returns:
        the ID of this member

    - #### getMember

          String getMember()

      Returns the name of the member if it's been set, otherwise the ID.
      Returns:
        the name of the member if it's been set, otherwise the ID

    - #### getGroups

          String[] getGroups()

      Returns the names of the groups this member belongs to.
      Returns:
        the names of the groups this member belongs to

    - #### getProcessId

          int getProcessId()

      Returns the operating system process ID.
      Returns:
        the operating system process ID

    - #### status

          String status()

      Returns the status.
      Returns:
        the status

    - #### getVersion

          String getVersion()

      Returns the GemFire version, including build id, jdk version, product name and release version etc.
      Returns:
        the GemFire version, including build id, jdk version, product name and release version

    - #### getReleaseVersion

          String getReleaseVersion()

      returns only the version string
      Returns:
        the version string

    - #### getGeodeReleaseVersion

          String getGeodeReleaseVersion()

      returns only the Geode version string
      Returns:
        the Geode version string

    - #### isLocator

          boolean isLocator()

      Returns whether this member is attached to at least one Locator.
      Returns:
        True if this member is attached to a Locator, false otherwise.

    - #### getLockTimeout

          long getLockTimeout()

      Returns the number of seconds that this member will wait for a distributed lock.
      Returns:
        the number of seconds that this member will wait for a distributed lock

    - #### getLockLease

          long getLockLease()

      Returns the number of second that this member will lease a distributed lock.
      Returns:
        the number of second that this member will lease a distributed lock

    - #### isServer

          boolean isServer()

      Any long-running GemFire process that was started with "start server" command from GFSH. It returns true even if that process has --disable-default-server=true.
      Returns:
        whether the process was started with "start server" command from GFSH

    - #### hasGatewaySender

          boolean hasGatewaySender()

      Returns whether this member has at least one GatewaySender.
      Returns:
        True if this member has at least one GatewaySender, false otherwise.

    - #### isManager

          boolean isManager()

      Returns whether this member is running the Manager service.
      Returns:
        True if this member is running the Manager service, false otherwise.

    - #### isManagerCreated

          boolean isManagerCreated()

      Returns whether this member has created the Manager service (it may be created, but not running).
      Returns:
        True if this member has created the Manager service, false otherwise.

    - #### hasGatewayReceiver

          boolean hasGatewayReceiver()

      Returns whether this member has at least one GatewayReceiver.
      Returns:
        True if this member has at least one GatewayReceiver, false otherwise.

    - #### getClassPath

          String getClassPath()

      Returns the ClassPath.
      Returns:
        the ClassPath

    - #### getCurrentTime

          long getCurrentTime()

      Returns the current time on the member's host.
      Returns:
        the current time on the member's host

    - #### getMemberUpTime

          long getMemberUpTime()

      Returns the number of seconds that this member has been running.
      Returns:
        the number of seconds that this member has been running

    - #### getCpuUsage

          float getCpuUsage()

      Returns the time (as a percentage) that this member's process time with respect to Statistics sample time interval. If process time between two sample time t1 & t2 is p1 and p2 cpuUsage = ((p2-p1) * 100) / ((t2-t1)) ProcessCpuTime is obtained from OperatingSystemMXBean. If process CPU time is not available in the platform it will be shown as -1
      Returns:
        the CPU usage as a percentage

    - #### getCurrentHeapSize

          @Deprecated
          long getCurrentHeapSize()

      Deprecated. Please use `getUsedMemory()` instead.
      Returns the current size of the heap in megabytes.
      Returns:
        the current size of the heap in megabytes

    - #### getMaximumHeapSize

          @Deprecated
          long getMaximumHeapSize()

      Deprecated. Please use `getMaxMemory()` instead.
      Returns the maximum size of the heap in megabytes.
      Returns:
        the maximum size of the heap in megabytes

    - #### getFreeHeapSize

          @Deprecated
          long getFreeHeapSize()

      Deprecated. Please use `getFreeMemory()` instead.
      Returns the free heap size in megabytes.
      Returns:
        the free heap size in megabytes

    - #### getMaxMemory

          long getMaxMemory()

      Returns the maximum size of the heap in megabytes.
      Returns:
        the maximum size of the heap in megabytes

    - #### getFreeMemory

          long getFreeMemory()

      Returns the free heap size in megabytes.
      Returns:
        the free heap size in megabytes

    - #### getUsedMemory

          long getUsedMemory()

      Returns the current size of the heap in megabytes.
      Returns:
        the current size of the heap in megabytes

    - #### fetchJvmThreads

          String[] fetchJvmThreads()

      Returns the current threads.
      Returns:
        the current threads

    - #### getFileDescriptorLimit

          long getFileDescriptorLimit()

      Returns the maximum number of open file descriptors allowed for the member's host operating system.
      Returns:
        the maximum number of open file descriptors allowed for the member's host operating system

    - #### getTotalFileDescriptorOpen

          long getTotalFileDescriptorOpen()

      Returns the current number of open file descriptors.
      Returns:
        the current number of open file descriptors

    - #### getTotalRegionCount

          int getTotalRegionCount()

      Returns the number of Regions present in the Cache.
      Returns:
        the number of Regions present in the Cache

    - #### getPartitionRegionCount

          int getPartitionRegionCount()

      Returns the number of Partition Regions present in the Cache.
      Returns:
        the number of Partition Regions present in the Cache

    - #### listRegions

          String[] listRegions()

      Returns a list of all Region names.
      Returns:
        an array of all Region names

    - #### getDiskStores

          String[] getDiskStores()

      Returns a list of all disk stores, including those owned by a Region.
      Returns:
        an array of all disk stores, including those owned by a Region

    - #### getRootRegionNames

          String[] getRootRegionNames()

      Returns a list of all root Region names.
      Returns:
        an array of all root Region names

    - #### getTotalRegionEntryCount

          int getTotalRegionEntryCount()

      Returns the total number of entries in all regions.
      Returns:
        the total number of entries in all regions

    - #### getTotalBucketCount

          int getTotalBucketCount()

      Returns the total number of buckets.
      Returns:
        the total number of buckets

    - #### getTotalPrimaryBucketCount

          int getTotalPrimaryBucketCount()

      Returns the number of buckets for which this member is the primary holder.
      Returns:
        the number of buckets for which this member is the primary holder

    - #### getGetsAvgLatency

          long getGetsAvgLatency()

      Returns the cache get average latency.
      Returns:
        the cache get average latency

    - #### getPutsAvgLatency

          long getPutsAvgLatency()

      Returns the cache put average latency.
      Returns:
        the cache put average latency

    - #### getPutAllAvgLatency

          long getPutAllAvgLatency()

      Returns the cache putAll average latency.
      Returns:
        the cache putAll average latency

    - #### getTotalMissCount

          int getTotalMissCount()

      Returns the number of times that a cache miss occurred for all regions.
      Returns:
        the number of times that a cache miss occurred for all regions

    - #### getTotalHitCount

          int getTotalHitCount()

      Returns the number of times that a hit occurred for all regions.
      Returns:
        the number of times that a hit occurred for all regions

    - #### getGetsRate

          float getGetsRate()

      Returns the number of gets per second.
      Returns:
        the number of gets per second

    - #### getPutsRate

          float getPutsRate()

      Returns the number of puts per second. Only includes puts done explicitly on this member's cache, not those pushed from another member.
      Returns:
        the number of puts per second

    - #### getPutAllRate

          float getPutAllRate()

      Returns the number of putAlls per second.
      Returns:
        the number of putAlls per second

    - #### getCreatesRate

          float getCreatesRate()

      Returns the number of creates per second.
      Returns:
        the number of creates per second

    - #### getDestroysRate

          float getDestroysRate()

      Returns the number of destroys per second.
      Returns:
        the number of destroys per second

    - #### getCacheWriterCallsAvgLatency

          long getCacheWriterCallsAvgLatency()

      Returns the average latency of a call to a CacheWriter.
      Returns:
        the average latency of a call to a CacheWriter

    - #### getCacheListenerCallsAvgLatency

          long getCacheListenerCallsAvgLatency()

      Returns the average latency of a call to a CacheListener.
      Returns:
        the average latency of a call to a CacheListener

    - #### getTotalLoadsCompleted

          int getTotalLoadsCompleted()

      Returns the total number of times that a load on this cache has completed, as a result of either a local get or a remote net load.
      Returns:
        the total number of times that a load on this cache has completed

    - #### getLoadsAverageLatency

          long getLoadsAverageLatency()

      Returns the average latency of a load.
      Returns:
        the average latency of a load

    - #### getTotalNetLoadsCompleted

          int getTotalNetLoadsCompleted()

      Returns the total number of times that a network load initiated by this cache has completed.
      Returns:
        the total number of times that a network load initiated by this cache has completed

    - #### getNetLoadsAverageLatency

          long getNetLoadsAverageLatency()

      Returns the net load average latency.
      Returns:
        the net load average latency

    - #### getTotalNetSearchCompleted

          int getTotalNetSearchCompleted()

      Returns the total number of times that a network search initiated by this cache has completed.
      Returns:
        the total number of times that a network search initiated by this cache has completed

    - #### getNetSearchAverageLatency

          long getNetSearchAverageLatency()

      Returns the net search average latency.
      Returns:
        the net search average latency

    - #### getTotalDiskTasksWaiting

          int getTotalDiskTasksWaiting()

      Returns the current number of disk tasks (op-log compaction, asynchronous recovery, etc.) that are waiting for a thread to run.
      Returns:
        the current number of disk tasks that are waiting for a thread to run

    - #### getBytesSentRate

          float getBytesSentRate()

      Returns the average number of bytes per second sent.
      Returns:
        the average number of bytes per second sent

    - #### getBytesReceivedRate

          float getBytesReceivedRate()

      Returns the average number of bytes per second received.
      Returns:
        the average number of bytes per second received

    - #### listConnectedGatewayReceivers

          String[] listConnectedGatewayReceivers()

      Returns a list of IDs for all connected gateway receivers.
      Returns:
        a list of IDs for all connected gateway receivers

    - #### listConnectedGatewaySenders

          String[] listConnectedGatewaySenders()

      Returns a list of IDs for all gateway senders.
      Returns:
        a list of IDs for all gateway senders

    - #### getNumRunningFunctions

          int getNumRunningFunctions()

      Returns the number of currently executing functions.
      Returns:
        the number of currently executing functions

    - #### getFunctionExecutionRate

          float getFunctionExecutionRate()

      Returns the average function execution rate.
      Returns:
        the average function execution rate

    - #### getNumRunningFunctionsHavingResults

          int getNumRunningFunctionsHavingResults()

      Returns the number of currently executing functions that will return results.
      Returns:
        the number of currently executing functions that will return results

    - #### getTotalTransactionsCount

          int getTotalTransactionsCount()

      Returns the number of current transactions.
      Returns:
        the number of current transactions

    - #### getTransactionCommitsAvgLatency

          long getTransactionCommitsAvgLatency()

      Returns the average commit latency in nanoseconds.
      Returns:
        the average commit latency in nanoseconds

    - #### getTransactionCommittedTotalCount

          int getTransactionCommittedTotalCount()

      Returns the number of committed transactions.
      Returns:
        the number of committed transactions

    - #### getTransactionRolledBackTotalCount

          int getTransactionRolledBackTotalCount()

      Returns the number of transactions that were rolled back.
      Returns:
        the number of transactions that were rolled back

    - #### getTransactionCommitsRate

          float getTransactionCommitsRate()

      Returns the average number of transactions committed per second.
      Returns:
        the average number of transactions committed per second

    - #### getDiskReadsRate

          float getDiskReadsRate()

      Returns the number of bytes reads per second from all the disks of the member.
      Returns:
        the number of bytes reads per second from all the disks of the member

    - #### getDiskWritesRate

          float getDiskWritesRate()

      Returns the number of bytes written per second to disk to all the disks of the member.
      Returns:
        the number of bytes written per second to disk to all the disks of the member

    - #### getDiskFlushAvgLatency

          long getDiskFlushAvgLatency()

      Returns the average disk flush latency time in nanoseconds.
      Returns:
        the average disk flush latency time in nanoseconds

    - #### getTotalBackupInProgress

          int getTotalBackupInProgress()

      Returns the number of backups currently in progress for all disk stores.
      Returns:
        the number of backups currently in progress for all disk stores

    - #### getTotalBackupCompleted

          int getTotalBackupCompleted()

      Returns the number of backups that have been completed.
      Returns:
        the number of backups that have been completed

    - #### getLockWaitsInProgress

          int getLockWaitsInProgress()

      Returns the number of threads waiting for a lock.
      Returns:
        the number of threads waiting for a lock

    - #### getTotalLockWaitTime

          long getTotalLockWaitTime()

      Returns the amount of time (in milliseconds) spent waiting for a lock.
      Returns:
        the amount of time (in milliseconds) spent waiting for a lock

    - #### getTotalNumberOfLockService

          int getTotalNumberOfLockService()

      Returns the number of lock services in use.
      Returns:
        the number of lock services in use

    - #### getTotalNumberOfGrantors

          int getTotalNumberOfGrantors()

      Returns the number of locks for which this member is a granter.
      Returns:
        the number of locks for which this member is a granter

    - #### getLockRequestQueues

          int getLockRequestQueues()

      Returns the number of lock request queues in use by this member.
      Returns:
        the number of lock request queues in use by this member

    - #### getLruEvictionRate

          float getLruEvictionRate()

      Returns the entry eviction rate as triggered by the LRU policy.
      Returns:
        the entry eviction rate as triggered by the LRU policy

    - #### getLruDestroyRate

          float getLruDestroyRate()

      Returns the rate of entries destroyed either by destroy cache operations or eviction.
      Returns:
        the rate of entries destroyed either by destroy cache operations or eviction

    - #### getInitialImagesInProgres

          @Deprecated
          int getInitialImagesInProgres()

      Deprecated. as typo in name has been corrected: use `getInitialImagesInProgress()` instead.
      Returns tthe number of "get initial image" operations in progress.
      Returns:
        the number of "get initial image" operations in progress

    - #### getInitialImagesInProgress

          int getInitialImagesInProgress()

      Returns the number of "get initial image" operations in progress.
      Returns:
        the number of "get initial image" operations in progress

    - #### getInitialImageTime

          long getInitialImageTime()

      Returns the total amount of time spent performing a "get initial image" operation when creating a region.
      Returns:
        the total amount of time spent performing a "get initial image" operation

    - #### getInitialImageKeysReceived

          int getInitialImageKeysReceived()

      Return the number of keys received while performing a "get initial image" operation when creating a region.
      Returns:
        the number of keys received while performing a "get initial image" operation

    - #### getDeserializationAvgLatency

          long getDeserializationAvgLatency()

      Returns the average time (in nanoseconds) spent deserializing objects. Includes deserializations that result in a PdxInstance.
      Returns:
        the average time (in nanoseconds) spent deserializing objects

    - #### getDeserializationLatency

          long getDeserializationLatency()

      Returns the average latency (in nanoseconds) spent deserializing objects. Includes deserializations that result in a PdxInstance.
      Returns:
        the average latency (in nanoseconds) spent deserializing objects

    - #### getDeserializationRate

          float getDeserializationRate()

      Returns the instantaneous rate of deserializing objects. Includes deserializations that result in a PdxInstance.
      Returns:
        the instantaneous rate of deserializing objects

    - #### getSerializationAvgLatency

          long getSerializationAvgLatency()

      Returns the average time (in nanoseconds) spent serializing objects. Includes serializations that result in a PdxInstance.
      Returns:
        he average time (in nanoseconds) spent serializing objects

    - #### getSerializationLatency

          long getSerializationLatency()

      Returns the average latency (in nanoseconds) spent serializing objects. Includes serializations that result in a PdxInstance.
      Returns:
        the average latency (in nanoseconds) spent serializing objects

    - #### getSerializationRate

          float getSerializationRate()

      Returns the instantaneous rate of serializing objects. Includes serializations that result in a PdxInstance.
      Returns:
        the instantaneous rate of serializing objects

    - #### getPDXDeserializationRate

          float getPDXDeserializationRate()

      Returns the instantaneous rate of PDX instance deserialization.
      Returns:
        the instantaneous rate of PDX instance deserialization

    - #### getPDXDeserializationAvgLatency

          long getPDXDeserializationAvgLatency()

      Returns the average time, in seconds, spent deserializing PDX instanced.
      Returns:
        the average time, in seconds, spent deserializing PDX instanced

    - #### getTotalDiskUsage

          long getTotalDiskUsage()

      Returns the total number of bytes used on all disks.
      Returns:
        the total number of bytes used on all disks

    - #### getNumThreads

          int getNumThreads()

      Returns the number of threads in use.
      Returns:
        the number of threads in use

    - #### getLoadAverage

          double getLoadAverage()

      Returns the system load average for the last minute. The system load average is the sum of the number of runnable entities queued to the available processors and the number of runnable entities running on the available processors averaged over a period of time. Pulse Attribute
      Returns:
        The load average or a negative value if one is not available.

    - #### getGarbageCollectionCount

          long getGarbageCollectionCount()

      Returns the number of times garbage collection has occurred.
      Returns:
        the number of times garbage collection has occurred

    - #### getGarbageCollectionTime

          long getGarbageCollectionTime()

      Returns the amount of time (in milliseconds) spent on garbage collection.
      Returns:
        the amount of time (in milliseconds) spent on garbage collection

    - #### getAverageReads

          float getAverageReads()

      Returns the average number of reads per second.
      Returns:
        the average number of reads per second

    - #### getAverageWrites

          float getAverageWrites()

      Returns the average writes per second, including both put and putAll operations.
      Returns:
        the average writes per second, including both put and putAll operations

    - #### getJVMPauses

          long getJVMPauses()

      Returns the number JVM pauses (which may or may not include full garbage collection pauses) detected by GemFire.
      Returns:
        the number JVM pauses detected

    - #### getHostCpuUsage

          int getHostCpuUsage()

      Returns the underlying host's current cpuActive percentage
      Returns:
        the underlying host's current cpuActive percentage

    - #### isCacheServer

          boolean isCacheServer()

      Returns true if a cache server is running on this member and able to serve requests from clients
      Returns:
        whether a cache server is running on this member and able to serve requests from clients

    - #### getRedundancyZone

          String getRedundancyZone()

      Returns the redundancy-zone of the member.
      Returns:
        the redundancy-zone of the member

    - #### getRebalancesInProgress

          int getRebalancesInProgress()

      Returns current number of cache rebalance operations being directed by this process.
      Returns:
        current number of cache rebalance operations being directed by this process

    - #### getReplyWaitsInProgress

          int getReplyWaitsInProgress()

      Returns current number of threads waiting for a reply.
      Returns:
        current number of threads waiting for a reply

    - #### getReplyWaitsCompleted

          int getReplyWaitsCompleted()

      Returns total number of times waits for a reply have completed.
      Returns:
        total number of times waits for a reply have completed

    - #### getVisibleNodes

          int getVisibleNodes()

      The current number of nodes in this distributed system visible to this member.
      Returns:
        the current number of nodes in this distributed system visible to this member

    - #### getOffHeapObjects

          int getOffHeapObjects()

      Returns the number of off heap objects.
      Returns:
        the number of off heap objects

    - #### getOffHeapMaxMemory

          long getOffHeapMaxMemory()

      Returns the size of the maximum configured off-heap memory in bytes.
      Returns:
        the size of the maximum configured off-heap memory in bytes

    - #### getOffHeapFreeMemory

          long getOffHeapFreeMemory()

      Returns the size of available (or unallocated) off-heap memory in bytes.
      Returns:
        the size of available (or unallocated) off-heap memory in bytes

    - #### getOffHeapUsedMemory

          long getOffHeapUsedMemory()

      Returns the size of utilized off-heap memory in bytes.
      Returns:
        the size of utilized off-heap memory in bytes

    - #### getOffHeapFragmentation

          int getOffHeapFragmentation()

      Returns the percentage of off-heap memory fragmentation.
      Returns:
        the percentage of off-heap memory fragmentation

    - #### getOffHeapFragments

          long getOffHeapFragments()

    - #### getOffHeapFreedChunks

          long getOffHeapFreedChunks()

    - #### getOffHeapLargestFragment

          int getOffHeapLargestFragment()

    - #### getOffHeapCompactionTime

          long getOffHeapCompactionTime()

      Returns the total time spent compacting in milliseconds.
      Returns:
        the total time spent compacting in milliseconds